cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/import/upload/abort \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"upload_id": "<string>",
"key": "<string>"
}
'import requests
url = "https://api.mudstack.com/workspaces/import/upload/abort"
payload = {
"upload_id": "<string>",
"key": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({upload_id: '<string>', key: '<string>'})
};
fetch('https://api.mudstack.com/workspaces/import/upload/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Importing (upload alternative)
Abort a multi part upload to a temp location using the upload id
Abort a multi-part upload to a temporary location. Requires upload_id and key.
POST
/
workspaces
/
import
/
upload
/
abort
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
The result of the aborted multi-part upload
Indicates if the abort was successful
Was this page helpful?
⌘I